// 获取cmd输入的值
import inquirer from 'inquirer'

export const conf = await inquirer.prompt([
  {
    type: 'input',
    name: 'Name',
    validate(name) {
      if (name) return true
      return 'input project name'
    },
    message: 'Input Project Name'
  },
  {
    type: 'port',
    name: 'Port',
    default() {
      return 8080
    },
    message: 'Input Port Number'
  },
  {
    type: 'checkbox',
    name: 'middleware',
    choices: [
      {
        name: 'static'
      },
      {
        name: 'cors'
      },
      {
        name: 'morgan'
      }
    ]
  }
])
